function m=psnr(X,Y)
% PSNR(X,Y) computes PSNR between X and Y
%
% REMARK: X and Y are assumed to be of the same size!! 
% The border of one pixel is cut off.
%


[a,b]=size(X);
m=abs(double(X(2:a-1,2:b-1))-double(Y(2:a-1,2:b-1)));
m=m.^2;
m=sum(sum(m)');
m=m./((a-2).*(b-2));
if m>0
	m=10.*log10(255^2 ./ m);
else
	m=1000000;
end
